package pizza;

import java.awt.EventQueue;
import java.util.Arrays;
import java.util.List;

public class Runner
{
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				new OrderWindow(createTodaysPizzaList()).setVisible(true);
			}
		});
	}

	private static List<Pizza> createTodaysPizzaList() {
		Pizza p1 = new PizzaChildren("Quattro Formaggi", 760);
		Pizza p2 = new PizzaNormal("Quattro Formaggi", 760);
		Pizza p3 = new PizzaXXL("Quattro Formaggi", 760);
		Pizza p4 = new PizzaChildren("Salami", 860);
		Pizza p5 = new PizzaNormal("Salami", 860);
		Pizza p6 = new PizzaXXL("Salami", 860);
		Pizza p7 = new PizzaChildren("Diavolo", 900);
		Pizza p8 = new PizzaNormal("Diavolo", 900);
		Pizza p9 = new PizzaXXL("Diavolo", 900);
		return Arrays.asList(p1, p2, p3, p4, p5, p6, p7, p8, p9);
	}
}
