package pizza;

abstract public class Pizza
{
	private String name;
	private int priceInCent;

	public Pizza(String name, int priceInCent) {
		this.setName(name);
		this.setPriceInCent(priceInCent);
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getName() {
		return name;
	}

	public void setPriceInCent(int priceInCent) {
		this.priceInCent = priceInCent;
	}

	public int getPriceInCent() {
		return priceInCent;
	}
	
	abstract public String sizeToString();
	
	abstract public int getPoints();
	
	abstract public double getPriceMultiplicator();

	@Override
	public String toString() {
		return getName() + " " + sizeToString() + " " + getPriceInCent();
	}
}
